Skip to main content

Rename agent profile

POST /api/agent-profiles/{name}/rename

Rename a profile atomically. The stable id is preserved, so active pointers (keyed on id) survive untouched.

Parameters​

NameInTypeRequiredDescription
namepathstringyes—
org_idquery`stringnull`no

Request body​

FieldTypeRequiredDescription
new_namestringyes—

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
namestringyes—
messagestringyes—

Operation ID: rename_agent_profile_api_agent_profiles__name__rename_post